##############################################################################
#
# Copyright (c) 2004 TINY SPRL. (http://tiny.be) All Rights Reserved.
#                    Fabien Pinckaers <fp@tiny.Be>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

import wizard
import netsvc
import sql_db

parameter_form = '''<?xml version="1.0"?>
<form title="Parameters" colspan="4">
	<field name="location_id" colspan="3"/>
	<separator string="Control" colspan="4"/>
	<field name="product_lines" colspan="3"/>
</form>'''

parameter_fields = {
	'product_lines': {'string':'Products', 'type':'many2many', 'relation':'product.product'},
	'location_id': {'string':'Location', 'type':'many2one', 'relation':'stock.location'},
}

def _stock_compute(self, uid, datas):
	return {}

def _get_value(self, uid, datas):
	print '_get_value', datas  # uid ???
	return {}

class stock_compute(wizard.interface):
	states = {
		'init': {
			'actions': [_get_value],
			'result': {'type': 'form', 'arch':parameter_form, 'fields': parameter_fields, 'state':[('compute','Compute Procurements'), ('end','Cancel')]}
		},
		'compute': {
			'actions': [],
			'result': {'type': 'state', 'state':'end'}
		},
	}
stock_compute('mrp.stock.compute')


