from distutils.core import setup
import py2exe
import glob

options = {"py2exe": {"compressed": 1,
                      "optimize": 2,
                      "packages": ["encodings","gtk"],
                      "includes": "pango,atk,gobject",
                      "dll_excludes": [
        "iconv.dll","intl.dll","libatk-1.0-0.dll",
        "libgdk_pixbuf-2.0-0.dll","libgdk-win32-2.0-0.dll",
        "libglib-2.0-0.dll","libgmodule-2.0-0.dll",
        "libgobject-2.0-0.dll","libgthread-2.0-0.dll",
        "libgtk-win32-2.0-0.dll","libpango-1.0-0.dll",
        "libpangowin32-1.0-0.dll"] }}

setup(
    name="tinyerp-client",
    windows=[{"script":"tinyerp-client.py", "icon_resources":[(1,"folder0.ico")]}],
    data_files=[(".",["terp.glade","tinyerp.png","flag.png"]), ("pict",glob.glob("pict\\*.png"))],
    options = options)
